<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <link rel="stylesheet" href="../CSS/style.css"/>
        <link rel="stylesheet" href="../CSS/table.css"/>
        <script src="../js/utilities.js"> </script>
        <script src="../js/table_generator.js"> </script>
    </head>

    <body>
        <section id="main_container">

            <header> 
                <h2> Assignment 1 - 420-320 </h2> 
            </header>

            <section id="middle-section">

                <section id="top-section">

                    <form>
                        <div>
                            <label for="row-count"> Row-Count </label>
                            <input type="number" id="row-count" name="row-count" placeholder="2" min="2">
                        </div>
                        <div>
                            <label for="col-count"> Col-Count </label>
                            <input type="number" id="col-count" name="col-count" placeholder="2" min="2">
                        </div>

                        <div>
                            <label for="table-width"> Table-Width </label>
                            <input type="number" id="table-width" name="table-width" placeholder="80" min="80">
                        </div>

                        <div>
                            <label for="text-color"> Text-Colour </label>
                            <input type="color" id="text-color" name="text-color" value="" >
                        </div>

                        <div>
                            <label for="bg-color"> Background-Colour </label>
                            <input type="color" id="bg-color" name="bg-color" value="#FFFFFF" >
                        </div>

                        <div>
                            <label for="border-width"> Border-Width </label>
                            <input type="number" id="border-width" name="border-width" placeholder="1" min="1">
                        </div>

                        <div>
                            <label for="border-color"> Border-Colour </label>
                            <input type="color" id="border-color" name="border-color" value="" >
                        </div>

                    </form>

                    <div id="btn_div">
                        <button> Create Table </button>
                    </div>
                    

                </section>

                <section id="main-section">

                    <section id="table-render-space">
                        <!-- the generated table based on user input will be displayed her-->
                    </section>

                    <section id="table-html-space">
                        <!-- coressponding table html code is displayed here -->
                    </section>

                </section>

            </section>

            <footer>
                <p> Fred-Dgennie Louis 2036915, section 2, copyright @Fall2022  </p>
            </footer>

        </section>
    </body>
</html>